// JScript 文件
///^([a-z0-9-]{1,}.)?[a-z0-9-]{2,}.([a-z0-9-]{1,}.)?[a-z0-9]{2,}$/i
function $(id){return document.getElementById(id)}
function ckInstall(){
    var flag="0";
    var arry=new Array("txt_InternetName","txt_InternetAraeName","txt_memberNumber","txt_password1","txt_password2","txt_server","txt_sql","txt_name","txt_password");
    if($(arry[0]).value==""){
        document.getElementById("Div0").innerHTML="网站名称不能为空";
        flag="1";
    }
    if($(arry[1]).value==""){
        document.getElementById("Div1").innerHTML="网站域名不能为空";
        flag="1";
    }else if($(arry[1]).value.indexOf("http://")==-1){
        $("Div1").innerHTML="网站域名格式不正确";
        flag="1";
    }
    if($(arry[2]).value==""){
        $("Div2").innerHTML="管理员账号不能为空";
        flag="1";
    }
    if($(arry[3]).value==""){
        $("Div3").innerHTML="管理员密码不能为空";
        flag="1";
    }
    if($(arry[4]).value==""){
        $("Div4").innerHTML="重复密码不能为空";
        flag="1";
    }
    if($(arry[5]).value==""){
        $("Div5").innerHTML="服务器名称不能为空";
        flag="1";
    }
    if($(arry[6]).value==""){
        $("Div6").innerHTML="数据库名称不能为空";
        flag="1";
    }
    if($(arry[7]).value==""){
        $("Div7").innerHTML="数据库用户名不能为空";
        flag="1";
    }
    if($(arry[8]).value==""){
        $("Div8").innerHTML="密码不能为空";
        flag="1";
    }
    if($(arry[3]).value!=$(arry[4]).value){
        document.getElementById("Div4").innerHTML="俩次密码输入不同，请重新输入";
        flag="1";
    }
    if(flag=="1"){   
        return false;
    }else{  
        document.getElementById("as").style.display="block"; 
        return true;
    }

}

function checkTxtbox(){
    var t1=document.getElementById("txt_password1").value;
    var t2=document.getElementById("txt_password2").value;
    if(t1!=t2){
        document.getElementById("Div4").innerHTML="俩次密码输入不同，请重新输入";
        return false;
    }
    return true;
}
 